#! /bin/sh
# Moves an old (included) patch to the old-patches dir, and removes the
# dependency from other patches.

# This patch is now included: remove the dependency from these files.
fix_depends()
{
    FIX_DEP_NAME=$1
    shift
    for fix_dep; do
	FIX_DEP_TMPFILE=`mktemp /tmp/normize-fix_dep.XXXXXX`
	echo Removing dependency on "$FIX_DEP_NAME" from "$fix_dep"...
	zcat $fix_dep | sed "s|$FIX_DEP_NAME *||" | gzip -9 > $FIX_DEP_TMPFILE
	mv $FIX_DEP_TMPFILE $fix_dep
	chmod a+r $fix_dep
    done
}

ROOTNAME=`dirname $1`/`basename $1 .gz`

# Remove patches/ to get canonical name
OFFICIAL_NAME=`echo $1 | cut -d/ -f2-`
fix_depends $OFFICIAL_NAME `zgrep -l "^Depends:.*$OFFICIAL_NAME" patches/*/*.gz`
mv -i $1 old-patches/
rm -f $ROOTNAME.*.gz
